#! /bin/bash

cat $1 | grep -oP "(^|[\s])[A-Za-z]*\-([0-9]{3})\-([0-9]{8})([\s]|$)" | grep -v "\-00000000" | sed 's/-/ /g' >filtered_data

awk '!/STD/' STD_Codes_list | sed 's/\t/ /g' | sed -E 's/\s\s+/#/g' | sed 's/ /$/g' | sed 's/#/ /g' > filtered_std
awk 'BEGIN { while (getline < "filtered_std") {city[$1] = $2; state[$1] = $3 } } {if(city[$2]!=""){print $0, city[$2]",", state[$2]}}' filtered_data | sed -E 's/([0-9])\ ([0-9])/\1-\2/' | sed 's/\$/ /g'

rm -rf filtered_std filtered_data
